@keyframes scroll {
    0% { transform: translateX(0); }
    100% { transform: translateX(calc(-300px * 30))}
}

.imagecarousel {
    background: white;
    height: 300px;
    margin: auto;
    overflow:hidden;
    position: relative;
    width: 100%;

    .slide-track {
        animation: scroll 60s linear infinite;
            display: flex;
            width: calc(300px * 2 * 30);
        );
    }

    .slide {
        /* border-style: dotted; */
        height: 300px;
        width: 300px;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .slide img {
        max-height: 300px;
        max-width: 295px;
        box-shadow: 0 10px 20px -5px rgba(0, 0, 0, .125);
    }
}